// SPDX-FileCopyrightText: 2010-2020 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef DEFAULTVALUES_H
#define DEFAULTVALUES_H

namespace DefaultValues
{

constexpr int boogerScore     = 21;
constexpr int boogersPerRound = 2;

const QString boogerSymbol       = QStringLiteral("\u25CF");
const QString namesSeparator     = QStringLiteral(" / ");
const QString dbFileNameTemplate = QStringLiteral("'Muckturnier' yyyy");

constexpr int maximumBoogerScore     = 9999;
constexpr int maximumBoogersPerRound = 9999;
constexpr int maximumDrawTables      = 9999;
constexpr int drawTableWarning       = 300;

constexpr int importSizeWarning       = 9600;
constexpr int importLineLengthWarning = 80;
constexpr int importLinesCountWarning = 300;

constexpr int serverPort       = 8810;
constexpr int connectTimeout   = 6000;
constexpr int requestTimeout   = 3000;

constexpr int discoverServerPort = 8811;
constexpr int discoverTimeout    = 500;
constexpr int discoverAttempts   = 3;

}

#endif // DEFAULTVALUES_H
