// SPDX-FileCopyrightText: 2019-2020 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef TOURNAMENT_H
#define TOURNAMENT_H

#include <QString>
#include <QHash>

namespace Tournament
{

// Tournament Mode

enum Mode {
    FixedPairs,
    SinglePlayers
};

const QString fixedPairsMode    = QStringLiteral("fixed pairs");
const QString singlePlayersMode = QStringLiteral("single players");
const QHash<Mode, QString> modeMap {
    { Mode::FixedPairs,    fixedPairsMode },
    { Mode::SinglePlayers, singlePlayersMode }
};

// Score type

enum ScoreType {
    Horizontal,
    Vertical
};

const QString horizontalScoreType = QStringLiteral("horizontal");
const QString verticalScoreType   = QStringLiteral("vertical");
const QHash<ScoreType, QString> scoreTypeMap {
    { ScoreType::Horizontal, horizontalScoreType },
    { ScoreType::Vertical,   verticalScoreType }
};

}

#endif // TOURNAMENT_H
